function arc = add(arc, pop)
% ADD(pop) add true evaluations from population to the archive
%

eps = get(arc.algo, 'archive_add_crit');
for i = 1:pop.size
	if pop.flag(i) == 1		% true evaluation
		x_normal = normalize(arc.prob, pop.x(i,:));
		is_new = 1;
		for j = 1:arc.count
			if norm(arc.x(j,:)-x_normal, 2) < eps
				is_new = 0;
				break
			end
		end
		if is_new == 1
			arc.x(arc.count+1,:) = x_normal;
			arc.f(arc.count+1,:) = pop.f(i,:);
			arc.g(arc.count+1,:) = pop.g(i,:);
			arc.count = arc.count + 1;
		end
	end
end
arc.traincount = round(get(arc.algo,'train_ratio') * arc.count);
return
