function [f, g, valid] = predict(arc, x)
% PREDICT(arc, x) predicts the values using surrogates
%

% Do not advance the random state in surrogate training
s = rand('state');

pred_func = strcat('predict_', get(arc.algo, 'train_method'));
[f, g, valid] = feval(pred_func, arc, x);

rand('state', s);
return
