function cluster = cluster_kmeans(cluster)
count = size(cluster.x,1);
if cluster.N > 1
	[IDX, C] = do_kmeans(cluster.x, cluster.N);
else
	IDX = 1:cluster.N;
	C = sum(cluster.x) / count;
end
cluster.IDX = IDX;
cluster.C = C;
cluster.id = [];
cluster.nn = [];
return


function [IDX, C] = do_kmeans(x, N)
c_ver = 0;
if c_ver == 1
	[IDX, C] = k_means(x, N);
else
	[IDX, C] = kmeans(x, N, ...
				'EmptyAction', 'singleton', ...
				'Replicates', 5, ...
				'Display', 'off');
end
