function plot(pop)
% PLOT(pop) plots pareto front or pareto surface
%
switch get(pop.prob,'nf')
case 1
	figure(1);
	filename = strcat(get(pop.algo,'prefix'), '-best.dat');
	dummy = load(filename);
	plot(dummy(:,1), dummy(:,4+get(pop.prob,'nx')+1), '-');
case 2
	figure(1);
	plot(pop.f(:,1), pop.f(:,2), '*');
case 3
	figure(1);
	plot3(pop.f(:,1), pop.f(:,2), pop.f(:,3), '*');
end
drawnow;
return
