function [f, g, true_eval] = obj_constr_eval(func, x, user_data)
% OBJ_CONSTR_EVAL(func, x)
%		obj_constr_eval(func, x)  Evaluation of Objectives and Constraints

% Use user_data to evaluate the objective and constraints

global counter;

if nargin == 2
	user_data = [];
end

true_eval = 1;

if ~isempty(user_data)
	arc = user_data;

	[f, g, valid] = predict(arc, x);
	if valid == 1
		true_eval = 0;
	else
		true_eval = 1;
	end
end

if true_eval == 1
	counter.fn_evals = counter.fn_evals + 1;
%	[f, g] = feval(func, x);
    text = fileread(strcat(func, '.m'));
    eval(text);
end
return
